> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.upwardli.com/api-access/api-reference/payment-cards/create-v-2-provisioning-request/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.upwardli.com/_mcp/server. # Create V 2 Provisioning Request POST https://api.upwardli.com/v2/payment-cards/{payment_card_id}/push-provision Content-Type: application/json Reference: https://developers.upwardli.com/api-access/api-reference/payment-cards/create-v-2-provisioning-request ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.upwardli.com` (Production, default) - `https://api-sandbox.upwardli.com` (Sandbox) ## Request ### Path parameters - `payment_card_id` (string, required) ### Body (application/json) This endpoint expects a V2ProvisioningRequest. - `wallet_provider` (integer, required) - `nonce` (string, optional) - `nonceSignature` (string, optional) - `certificates` (list of string, optional) ## Response ### 201 - `provisioning_response_data` (ProvisioningResponseProvisioningResponseData, required) ## Types ### ProvisioningResponseProvisioningResponseData ## Examples **Request** ```json { "wallet_provider": 1 } ``` **Response** ```json { "provisioning_response_data": {} } ``` **SDK Code** ```python import requests url = "https://api.upwardli.com/v2/payment-cards/payment_card_id/push-provision" payload = { "wallet_provider": 1 } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.upwardli.com/v2/payment-cards/payment_card_id/push-provision'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"wallet_provider":1}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.upwardli.com/v2/payment-cards/payment_card_id/push-provision" payload := strings.NewReader("{\n \"wallet_provider\": 1\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.upwardli.com/v2/payment-cards/payment_card_id/push-provision") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"wallet_provider\": 1\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.upwardli.com/v2/payment-cards/payment_card_id/push-provision") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"wallet_provider\": 1\n}") .asString(); ``` ```php request('POST', 'https://api.upwardli.com/v2/payment-cards/payment_card_id/push-provision', [ 'body' => '{ "wallet_provider": 1 }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.upwardli.com/v2/payment-cards/payment_card_id/push-provision"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"wallet_provider\": 1\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["wallet_provider": 1] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.upwardli.com/v2/payment-cards/payment_card_id/push-provision")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```